www.cendio.com
Bug 7198 - Web Access crashes when sending or receiving large clipboards
: Web Access crashes when sending or receiving large clipboards
Status: CLOSED FIXED
: ThinLinc
Web Access
: trunk
: PC Unknown
: P2 Normal
: 4.10.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2018-06-15 16:25 by
Modified: 2018-06-20 09:10 (History)
Acceptance Criteria:
* Web Access should not crash when pasting a large clipboard text into the remote desktop. * Web Access should not crash when copying a large clipboard text from the remote desktop.


Attachments
The crash when pasting into the remote (131.62 KB, image/png)
2018-06-15 16:27, Samuel Mannehed
Details
The crash when copying from the remote (149.06 KB, image/png)
2018-06-15 16:27, Samuel Mannehed
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2018-06-15 16:25:36
When using the clipboard in Web Access with large texts it crashes. Both when
copying from the remote and when pasting into the remote.
------- Comment #1 From cendio 2018-06-15 16:27:19 -------
Created an attachment (id=873) [details]
The crash when pasting into the remote
------- Comment #2 From cendio 2018-06-15 16:27:38 -------
Created an attachment (id=874) [details]
The crash when copying from the remote
------- Comment #10 From cendio 2018-06-18 13:41:43 -------
Fixed now. Tester should make sure to test both copy and paste. Be aware of the
limit of 256KiB for clipboard content.
------- Comment #11 From cendio 2018-06-20 09:10:11 -------
Works well. Tested a 130 KiB clipboard with:

 - IE 11
 - Firefox 60
 - Chrome 67

Before the fix all three browsers crashed on client=>server clipboard. Only
Chrome crashed on server=>client clipboard though.

After the fix all three browsers work fine in either direction.